Reset password
POST
/api/website/customers/password/reset
const url = 'https://api.petanqueai.com/api/website/customers/password/reset';const options = { method: 'POST', headers: { 'x-storefront-token': '<x-storefront-token>', 'Content-Type': 'application/json' }, body: '{"token":"example","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.petanqueai.com/api/website/customers/password/reset \ --header 'Content-Type: application/json' \ --header 'x-storefront-token: <x-storefront-token>' \ --data '{ "token": "example", "password": "example" }'Sets a new password with the token from the reset link and signs the shopper out everywhere. Answers 204; an unknown, used or expired token answers 410.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
token
required
string
password
required
string
Example generated
{ "token": "example", "password": "example"}object
token
required
string
password
required
string
Example generated
token=example&password=exampleobject
token
required
string
password
required
string